---
updatedAt: 2026-03-05T09:18:16.000Z
agentTools:
  projectIndex: https://neutronpay.readme.io/llms.txt
---

# Get registered webhooks

Retrieve the webhooks, if any, set for the authenticated account

Retrieve all webhooks registered for your account.

### Example Request

```bash
curl https://api.neutron.me/api/v2/webhook \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
```

### Example Response (webhook registered)

```json
{
  "data": [
    {
      "id": "01e2a3dc-0c34-4e14-92e4-b270c4778d95",
      "callback": "https://yourapp.com/webhooks/neutron",
      "createdAt": 1747889654376
    }
  ]
}
```

### Example Response (no webhook)

```json
{
  "data": []
}
```

If no webhook is set, the response returns an **empty array**.

### Response Fields

| Field              | Type    | Description                                                                                   |
| ------------------ | ------- | --------------------------------------------------------------------------------------------- |
| `data[].id`        | string  | Webhook ID — use for [update](/reference/updatewebhook) or [remove](/reference/removewebhook) |
| `data[].callback`  | string  | The callback URL receiving events                                                             |
| `data[].createdAt` | integer | Creation timestamp (epoch milliseconds)                                                       |

> 📘 The `secret` is never returned in API responses for security. If you've lost your webhook secret, [update](/reference/updatewebhook) the webhook with a new one.

### Related

* [Create Webhook](/reference/createwebhook) — Register a new webhook
* [Webhook Guide](/reference/purpose) — Complete setup and verification guide

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Neutronpay API",
    "version": "2.2.6",
    "description": "Neutron API Reference"
  },
  "servers": [
    {
      "url": "https://api.neutron.me",
      "description": "Development environment"
    }
  ],
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT",
        "description": "JWT Authorization header using the Bearer scheme. Example: 'Authorization: Bearer {token}'"
      }
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "tags": [
    {
      "name": "Webhooks",
      "description": "Webhook management endpoints"
    }
  ],
  "paths": {
    "/api/v2/webhook": {
      "get": {
        "summary": "Get registered webhooks",
        "description": "Retrieve the webhooks, if any, set for the authenticated account",
        "tags": [
          "Webhooks"
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "string",
                            "description": "The unique identifier of the webhook"
                          },
                          "callback": {
                            "type": "string",
                            "description": "The callback URL where webhook events will be sent"
                          },
                          "createdAt": {
                            "type": "integer",
                            "format": "int64",
                            "description": "Timestamp when the webhook was created, in epoch millisecond"
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "Success": {
                    "summary": "Success",
                    "value": [
                      {
                        "id": "de784b03-d729-412c-b3e5-c7a201fd91f7",
                        "callback": "https://neutronpay.com/webhooklistener/",
                        "createdAt": 1713202155327
                      }
                    ]
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized - Invalid or missing authentication credentials"
          }
        },
        "operationId": "listWebhooks"
      }
    }
  },
  "x-readme": {}
}
```